using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("基础库管控措施明细表")]
    public class T_SK_BASIC_LIBRARY_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 基础库
        /// </summary>
        [Description("基础库")]
        [DataFieldForeignKey("Nav_Library", "Nav_Details")]
        public Guid BASIC_LIBRARY_ID { get; set; }

        /// <summary>
        /// 导航属性：基础库
        /// </summary>
        [Description("导航属性：基础库")]
        [NotMapped]
        public T_SK_BASIC_LIBRARY Nav_Library { get; set; }
        /// <summary>
        /// 管控措施
        /// </summary>
        [Description("管控措施")]
        public string MEASURES_NAME { get; set; }

        [Description("应急处置")]
        public string EMERGENCY { get; set; }

        /// <summary>
        /// 顺序
        /// </summary>
        [Description("顺序")]
        public int? NUM { get; set; }

        /// <summary>
        /// 导航属性：检查内容
        /// </summary>
        [Description("检查内容")]
        [FormFieldEdit]
        [NotMapped]
        public ICollection<T_SK_BASIC_LIBRARY_DETAIL_CONTENT> Nav_DetailContents { get; set; }

        [Description("顺序")]
        public int? ROW_NO { get; set; }
    }
}
